> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Product Collections

> Internal API to fetch the Product Collections



## OpenAPI

````yaml /api-reference/products/openapi.json get /products/collections
openapi: 3.0.0
info:
  title: Products API
  description: Documentation for products API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Products
    description: Documentation for products API
  - name: Prices
    description: Documentation for products API
  - name: Store
    description: Documentation for products API
  - name: Collections
    description: Documentation for products API
  - name: Reviews
    description: Documentation for products API
paths:
  /products/collections:
    get:
      tags:
        - Collections
      summary: Fetch Product Collections
      description: Internal API to fetch the Product Collections
      operationId: get-product-collection
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: limit
          required: false
          in: query
          description: >-
            The maximum number of items to be included in a single page of
            results
          schema:
            default: 10
            example: 20
            type: number
        - name: offset
          required: false
          in: query
          description: >-
            The starting index of the page, indicating the position from which
            the results should be retrieved.
          schema:
            default: 0
            example: 0
            type: number
        - name: altId
          required: true
          in: query
          description: Location Id
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: altType
          required: true
          in: query
          description: The type of alt. For now it is only LOCATION
          schema:
            example: LOCATION
            enum:
              - location
            type: string
        - name: collectionIds
          required: false
          in: query
          description: Ids of the collections separated by comma(,) for search purposes
          schema:
            example: 65d71377c326ea78e1c47df5,65d71377c326ea78e1c47d34
            type: string
        - name: name
          required: false
          in: query
          description: Query to search collection based on names
          schema:
            example: Best Sellers
            type: string
        - name: type
          required: false
          in: query
          description: Query to search collection based on type
          schema:
            example: smart
            type: string
        - name: search
          required: false
          in: query
          description: Query to search collection based on deleted
          schema:
            example: true
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCollectionResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - products/collection.readonly
components:
  schemas:
    ListCollectionResponseDto:
      type: object
      properties:
        data:
          description: Array of Collections
          items:
            type: array
          type: array
        total:
          type: number
          description: >-
            The total count of the collections present, which is useful to
            calculate the pagination
      required:
        - data
        - total
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error

````